# TPK4186 - Advanced Tools for Performance Engineering
# RandomChoicesWithNumpy.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

import numpy as np

# Q1
numbers = np.random.normal(size=10)
print(numbers)

# Q2
numbers = np.random.randint(low=0, high=3, size=10)
print(numbers)

# Q3
numbers = np.random.random((10, 10))
print(numbers)
print("min = " + str(numbers.min()))
print("max = " + str(numbers.max()))
print("mean = " + str(numbers.mean()))
